<template>
  <el-col :span="6">
    <el-input
      size="mini"
      v-model="selected"
      @input="onInput"
      type="primary"
      placeholder="Поиск канала"
    />
  </el-col>
</template>

<script lang="ts">
import { Component, Mixins } from "vue-property-decorator";
import ComponentMixin from "../common/ComponentMixin";

/**
 * Компонент поиска канала в таблице базовой аудитории.
 */
@Component
export default class SearchChannelBaseAudiencesTableComponent extends Mixins(
  ComponentMixin
) {
  private selected = "";

  /**
   *  Метод срабатывания после введения.
   */
  private onInput(): void {
    // Оповещаем подписчиков об изменении поиска канала
    this.notify("filter-table-name", this.selected);
  }
}
</script>

<style scoped>
.el-input-editor {
  width: auto !important;
}
</style>
